Modules | Functions
PMU LL Module Driver
Peripheral Driver » LL Driver

PMU LL module driver. More...

## Modules
| Functions

## Functions
__STATIC_INLINE void | ll_aon_pmu_enable_bod_auto_power (void)
| Enable BOD auto power off in deepsleep and power on wakeup. More...
__STATIC_INLINE void | ll_aon_pmu_disable_bod_auto_power (void)
| Disable BOD auto power off in deepsleep and power on wakeup. More...
__STATIC_INLINE void | ll_aon_pmu_enable_dcdc (void)
| Enable DCDC power. More...
__STATIC_INLINE void | ll_aon_pmu_disable_dcdc (void)
| Disble DCDC power. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dcdc_available_status (void)
| Get the DCDC enable status. More...
__STATIC_INLINE void | ll_aon_pmu_enable_sysldo (void)
| Enable SYSLDO power. More...
__STATIC_INLINE void | ll_aon_pmu_disable_sysldo (void)
| Disable SYSLDO power. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_sysldo_available_status (void)
| Get the SYSLDO enable status. More...

## Detailed Description

PMU LL module driver.

## Function Documentation

## ◆ ll_aon_pmu_disable_bod_auto_power()

__STATIC_INLINE void ll_aon_pmu_disable_bod_auto_power | ( | void |  | ) |

Disable BOD auto power off in deepsleep and power on wakeup.

Register|BitsName --------|-------- RF_REG_0 | BOD

Definition at line 593 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_dcdc()

__STATIC_INLINE void ll_aon_pmu_disable_dcdc | ( | void |  | ) |

Disble DCDC power.

Register|BitsName --------|-------- PMU_INTF | DCDC

Definition at line 617 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_sysldo()

__STATIC_INLINE void ll_aon_pmu_disable_sysldo | ( | void |  | ) |

Disable SYSLDO power.

Register|BitsName --------|-------- PMU_INTF | DCDC

Definition at line 657 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_bod_auto_power()

__STATIC_INLINE void ll_aon_pmu_enable_bod_auto_power | ( | void |  | ) |

Enable BOD auto power off in deepsleep and power on wakeup.

Register|BitsName --------|-------- RF_REG_0 | BOD

Definition at line 580 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_dcdc()

__STATIC_INLINE void ll_aon_pmu_enable_dcdc | ( | void |  | ) |

Enable DCDC power.

Register|BitsName --------|-------- PMU_INTF | DCDC

Definition at line 605 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_sysldo()

__STATIC_INLINE void ll_aon_pmu_enable_sysldo | ( | void |  | ) |

Enable SYSLDO power.

Register|BitsName --------|-------- PMU_INTF | SYSLDO

Definition at line 645 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dcdc_available_status()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dcdc_available_status | ( | void |  | ) |

Get the DCDC enable status.

Register|BitsName --------|-------- PWR_STS | sts_dcdc_avl

Return values

  The | dcdc available status, 1: available, 0: not available

Definition at line 632 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_sysldo_available_status()

__STATIC_INLINE uint32_t ll_aon_pmu_get_sysldo_available_status | ( | void |  | ) |

Get the SYSLDO enable status.

Register|BitsName --------|-------- PWR_STS | sts_dig_ldo_avl

Return values

  The | sysldo available status, 1: available, 0: not available

Definition at line 672 of file gr533x_ll_aon_pmu.h.